.TH wxFrame 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxFrame \- See external documentation: wxFrame\&.
.SH DESCRIPTION
.LP
See external documentation: wxFrame <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxFrame()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxFrame()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframewxframe>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string()) -> wxFrame()
.br
.RS
.LP
Equivalent to new(Parent, Id, Title, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Options::[Option]) -> wxFrame()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframewxframe>\&.
.RE
.LP
.B
create(This::wxFrame(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Title, [])\&.
.RE
.LP
.B
create(This::wxFrame(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframecreate>\&.
.RE
.LP
.B
createStatusBar(This::wxFrame()) -> wxStatusBar() (see module wxStatusBar)
.br
.RS
.LP
Equivalent to createStatusBar(This, [])\&.
.RE
.LP
.B
createStatusBar(This::wxFrame(), Options::[Option]) -> wxStatusBar() (see module wxStatusBar)
.br
.RS
.TP
Types
Option = {number, integer()} | {style, integer()} | {id, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframecreatestatusbar>\&.
.RE
.LP
.B
createToolBar(This::wxFrame()) -> wxToolBar() (see module wxToolBar)
.br
.RS
.LP
Equivalent to createToolBar(This, [])\&.
.RE
.LP
.B
createToolBar(This::wxFrame(), Options::[Option]) -> wxToolBar() (see module wxToolBar)
.br
.RS
.TP
Types
Option = {style, integer()} | {id, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframecreatetoolbar>\&.
.RE
.LP
.B
getClientAreaOrigin(This::wxFrame()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframegetclientareaorigin>\&.
.RE
.LP
.B
getMenuBar(This::wxFrame()) -> wxMenuBar() (see module wxMenuBar)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframegetmenubar>\&.
.RE
.LP
.B
getStatusBar(This::wxFrame()) -> wxStatusBar() (see module wxStatusBar)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframegetstatusbar>\&.
.RE
.LP
.B
getStatusBarPane(This::wxFrame()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframegetstatusbarpane>\&.
.RE
.LP
.B
getToolBar(This::wxFrame()) -> wxToolBar() (see module wxToolBar)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframegettoolbar>\&.
.RE
.LP
.B
processCommand(This::wxFrame(), Winid::integer()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframeprocesscommand>\&.
.RE
.LP
.B
sendSizeEvent(This::wxFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframesendsizeevent>\&.
.RE
.LP
.B
setMenuBar(This::wxFrame(), Menubar::wxMenuBar() (see module wxMenuBar)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframesetmenubar>\&.
.RE
.LP
.B
setStatusBar(This::wxFrame(), Statbar::wxStatusBar() (see module wxStatusBar)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframesetstatusbar>\&.
.RE
.LP
.B
setStatusBarPane(This::wxFrame(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframesetstatusbarpane>\&.
.RE
.LP
.B
setStatusText(This::wxFrame(), Text::string()) -> ok
.br
.RS
.LP
Equivalent to setStatusText(This, Text, [])\&.
.RE
.LP
.B
setStatusText(This::wxFrame(), Text::string(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {number, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframesetstatustext>\&.
.RE
.LP
.B
setStatusWidths(This::wxFrame(), Widths_field::[integer()]) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframesetstatuswidths>\&.
.RE
.LP
.B
setToolBar(This::wxFrame(), Toolbar::wxToolBar() (see module wxToolBar)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxframe\&.html#wxframesettoolbar>\&.
.RE
.LP
.B
destroy(This::wxFrame()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
